<script setup>
defineProps(["user"]);
</script>

<template>
  <div class="github-user">
    <img class="avatar" :src="user.avatar_url" :alt="user.login" />
    <div class="info">
      <div>
        <h3 class="username">{{ user.login }}</h3>
        <div class="bio-url">{{ user.html_url }}</div>
      </div>
      <a :href="user.html_url" target="_blank">Ver perfil</a>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.github-user {
  display: grid;
  border-bottom: solid 1px #adbac7;
  grid-template-columns: 120px auto;
  padding: 20px 10px;

  .info {
    display: flex;
    justify-content: space-between;
    place-items: center;

    .username {
      margin-bottom: 0px;
      margin-top: 10px;
    }

    .bio-url {
      font-size: 14px;
      color: #373e47;
    }

    a {
      background-color: #373e47;
      border-radius: 5px;
      color: #adbac7;
      font-size: 14px;
      padding: 5px 20px;
      text-decoration: none;
    }
  }

  img.avatar {
    border-radius: 40px;
    width: 80px;
  }
}
</style>
